Fix pkt-line.h to compile with a non-GCC compiler
authorDennis Stosberg <dennis@stosberg.net>
Mon, 26 Jun 2006 08:27:07 +0000 (10:27 +0200)
committerJunio C Hamano <junkio@cox.net>
Mon, 26 Jun 2006 09:11:53 +0000 (02:11 -0700)
pkt-line.h uses GCC's __attribute__ extension but does not include
git-compat-util.h.  So it will not compile with a compiler that does
not support this extension.

Signed-off-by: Junio C Hamano <junkio@cox.net>
pkt-line.h

index 9abef24..9df653f 100644 (file)
@@ -1,6 +1,8 @@
 #ifndef PKTLINE_H
 #define PKTLINE_H
 
 #ifndef PKTLINE_H
 #define PKTLINE_H
 
+#include "git-compat-util.h"
+
 /*
  * Silly packetized line writing interface
  */
 /*
  * Silly packetized line writing interface
  */